package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag765;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT761Creator;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT765Creator;

public class Tag20Creator extends AbsTagCreate {
    private MT765Creator mt765Creator;

    public Tag20Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt765Creator= (MT765Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag20Value = mt765Creator.getTransactionReferenceNumber();
        mt765Creator.set("20", tag20Value);
    }
}
